> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/withdrawals/resend-confirmation-code.md).

# Resend Confirmation Code

<mark style="color:blue;">**`POST`**</mark> `https://api.sfox.com/v1/user/withdraw/resend-confirmation`

Request a new withdrawal confirmation OTP code.

If a user does not receive an OTP code or if the code has expired, request a new code using this endpoint by including the transaction ID in the request body. Once requested, the user will receive an email with the new OTP code.

{% hint style="info" %}
**Authentication:** This endpoint requires a [User Auth Token](/connect/rest-api/end-users/create-user-auth-token.md) for authentication. Requests using your Connect API Key will be rejected.
{% endhint %}

### Body Parameters

<table><thead><tr><th width="202">Parameter</th><th width="120">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>atx_id</code></strong> <mark style="color:red;">required</mark></td><td>number</td><td>The transaction ID of the withdrawal you are requesting a code for</td></tr></tbody></table>

### Response Body

<table><thead><tr><th width="173.33333333333331">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>success</code></strong></td><td>Whether the request for a new confirmation code was successful or not</td></tr><tr><td><strong><code>atx_id</code></strong></td><td>The transaction ID of the withdrawal you are requesting a code for</td></tr><tr><td><strong><code>tx_status</code></strong></td><td>The transaction status of the withdrawal</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;"><strong>200</strong></mark><strong> OK</strong></summary>

```json
{
    "data": {
        "success": true,
        "atx_id": 1525616,
        "tx_status": 1100
    }
}
```

</details>

{% tabs %}
{% tab title="Shell" %}

```shell
curl -X POST \
  -H 'Content-type: application/json' \
  -H "Authorization: Bearer ${USER_AUTH_TOKEN}" \
  --data '{ "atx_id": 987654 }'  \
  'https://api.sfox.com/v1/user/withdraw/resend-confirmation'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
  method: 'post',
  url: 'https://api.sfox.com/v1/user/withdraw/resend-confirmation',
  headers: {
    "Content-Type": "application/json",
    'Authorization': `Bearer ${process.env.USER_AUTH_TOKEN}`
  },
  data: {
   atx_id: 987654
  }
}

axios(config)
  .then((response) => {
    console.log(response.status);
    console.log(response.data);
  })
  .catch((error) => {
    console.error(error.response.status);
    console.error(error.response.data);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.post(
  "https://api.sfox.com/v1/user/withdraw/resend-confirmation",
  headers={
    "Authorization": f"Bearer {os.environ['ENTERPRISE_API_KEY']}"
  },
  json={
    "atx_id": 987654
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/withdrawals/resend-confirmation-code.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
